# Uses of Class
it.tdlight.jni.TdApi.NotificationGroupType

## Uses of TdApi.NotificationGroupType in it.tdlight.jni

Subclasses of TdApi.NotificationGroupType in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.NotificationGroupTypeCalls`
A group containing notifications of type notificationTypeNewCall.
`static final class`
`TdApi.NotificationGroupTypeMentions`
A group containing notifications of type notificationTypeNewMessage and notificationTypeNewPushMessage with unread mentions of the current user, replies to their messages, or a pinned message.
`static final class`
`TdApi.NotificationGroupTypeMessages`
A group containing notifications of type notificationTypeNewMessage and notificationTypeNewPushMessage with ordinary unread messages.
`static final class`
`TdApi.NotificationGroupTypeSecretChat`
A group containing a notification of type notificationTypeNewSecretChat.
Fields in it.tdlight.jni declared as TdApi.NotificationGroupType
Modifier and Type
Field
Description
`TdApi.NotificationGroupType`
TdApi.NotificationGroup.`type`
Type of the group.
`TdApi.NotificationGroupType`
TdApi.UpdateNotificationGroup.`type`
New type of the notification group.
Constructors in it.tdlight.jni with parameters of type TdApi.NotificationGroupType
Modifier
Constructor
Description
``
`NotificationGroup(int id, TdApi.NotificationGroupType type, long chatId, int totalCount, TdApi.Notification[] notifications)`
Describes a group of notifications.
``
`UpdateNotificationGroup(int notificationGroupId, TdApi.NotificationGroupType type, long chatId, long notificationSettingsChatId, long notificationSoundId, int totalCount, TdApi.Notification[] addedNotifications, int[] removedNotificationIds)`
A list of active notifications in a notification group has changed.